#!/usr/bin/env python

from errno import *
import socket

from ioutil import *

class Client(IoBase):

    def __init__(self, **kwargs):
        """config expected keywords
            host:
            port:
        """
        IoBase.__init__(self)
        self.host = kwargs['host']
        if self.host == 'hostname':
            self.host = socket.gethostname()
        self.port = kwargs['port']
        self.data = ''

        self.socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    def open(self):
#        print "open client (host: %s, port: %s)" % (self.host, self.port)
        self.socket.connect( (self.host, self.port) )
#        print('Client connected')

    def close(self):
        self.socket.close()

    def read(self, size=0):
        try:
            if size > 0:
                if (len(self.data) == 0):               # buffer empty
                    self.data = self.socket.recv(4096)  # get some
                elif (len(self.data) < size) :          # not enough data
                    self.data += self.socket.recv(4096) # get some
                
                _data = self.data[:size]
                self.data = self.data[size:]
                return _data
            else:
                self.data = self.socket.recv(4096)
                return self.data
        except socket.timeout:
            #raise timeoutError
            return ''

    def write(self, s):
        self.socket.send(s)

    def flushInput(self):
        pass # not implemented yet! may never been...

    def inWaiting(self):
        return 0 # not implemented yet! may never been...

    def setTimeout(self, timeout):
        self.socket.settimeout(timeout)

